using System;
using Microsoft.Xna.Framework;
using System.IO;
using System.Configuration;
using System.Diagnostics;
using Equis.Xna.Input;

namespace Demos.Rocks
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
#if false
            String contentPath = Settings.Default.ContentPath;

            if (!File.Exists(Path.Combine(contentPath, RocksDemoGame.WaveBankFile)))
            {
                contentPath = GetContentPathFromUser(RocksDemoGame.WaveBankFile);

                // Save the content path for next time.
                Settings.Default["ContentPath"] = contentPath;
                Settings.Default.Save();
            }
#endif
            bool muteSound = false;
#if false
            VideoDeviceDialog dialog = new VideoDeviceDialog();
            DialogResult result = dialog.ShowDialog();
            if (result != DialogResult.OK)
            {
                Environment.Exit(1);
            }
#endif
            using (Game game = new RocksGame(muteSound))
            {
                game.Run();
            }
        }
#if false
        private static String GetContentPathFromUser(String checkFile)
        {
            String contentPath;
            using (FolderBrowserDialog dialog = new FolderBrowserDialog())
            {
                dialog.Description =
                    "The FTIR demonstration requires access to a compiled Content folder from the " +
                    "Microsoft XNA Game Studio Express 'Space War' example. Please create " +
                    "and build such a project, then select a compiled Content directory " +
                    "(typically something like ProjectDirectory\\bin\\x86\\Release\\Content).";
                dialog.ShowNewFolderButton = false;

                while (true)
                {
                    DialogResult result;

                    result = dialog.ShowDialog();
                    if (result != DialogResult.OK)
                    {
                        Environment.Exit(1);
                    }
                    contentPath = dialog.SelectedPath;

                    if (File.Exists(Path.Combine(contentPath, checkFile)))
                    {
                        break;
                    }
                    else
                    {
                        result = MessageBox.Show(
                            "Unable to find necessary media files in '" + contentPath + "'. " +
                            "Ensure that the selected directory is the Content directory of a " +
                            "compiled XNA Game Studio Express 'Space War' example, which should " +
                            "contain an '" + checkFile + "' file (among others).",
                            "Error: Content Missing",
                            MessageBoxButtons.RetryCancel,
                            MessageBoxIcon.Error,
                            MessageBoxDefaultButton.Button1);
                        if (result != DialogResult.Retry)
                        {
                            Environment.Exit(1);
                        }
                    }
                }
            }
            return contentPath;
        }
#endif
    }
}