#ifndef EQUIS_SSE_HH
#define EQUIS_SSE_HH

#include <intrin.h>
#include <emmintrin.h>
#include <xmmintrin.h>

static inline __m128i _mm_load_si128(const void* p) {
	return _mm_load_si128(
		reinterpret_cast<__m128i*>(
		const_cast<void*>(p)));
}

static inline void _mm_store_si128(const void* p, __m128i a) {
	_mm_store_si128(
		reinterpret_cast<__m128i*>(
		const_cast<void*>(p)), a);
}

static inline void _mm_stream_si128(const void* p, __m128i a) {
	_mm_stream_si128(
		reinterpret_cast<__m128i*>(
		const_cast<void*>(p)), a);
}

#endif