#ifndef EQUIS_IMAGE_BLOB_HH
#define EQUIS_IMAGE_BLOB_HH

struct Blob {
	long session_id;
	long cursor_id;

	/** X coordinate of the center. */
	float x;

	/** Y coordinate of the center. */
	float y;

	/** Value of the brightest point. */
	float brightest;

	/** Number of pixels contributing to the blob. */
	float area;

	/** Sum of all pixels contributing to the blob. */
	float mass;
};

#endif /* EQUIS_IMAGE_BLOB_HH */
